Subject: RE: [MMUSIC] [ rtspspec-Bugs-810678 ] How to indicate end of media stream

From: "Matthew Heaney" <[email-masked]>
Date: Fri, 24 Oct 2003 16:28:05 -0400

> -----Original Message-----
> From: Tom Marshall [mailto:[email-masked]] 
> Sent: Friday, October 24, 2003 3:55 PM
> 
> We also have an end-of-stream packet for our RDT transport.  
> I'm not sure
> what we do with RTP but I can check if you're interested.
> 
> It seems logical to me that this be communicated over the 
> transport channel,
> not the control channel.  A simple RTP extension like you 
> mention would make
> a great proposal.  Obviously not everyone here shares that 
> view though...

It's not as simple as sending a normal RTCP packet with no other info
(say, a BYE msg), because UDP packets can arrive in any order.  Nor is
it clear how the RTP and RTCP streams would even be synchronized in UDP.
Even in TCP it would be kind of a pain.

It might be possible to use an RTCP packet (with an APP command maybe?)
to specify the sequence number and/or RTP timestamp of the last frame.
But this might get hairy if the last frame can be consumed prior to
receipt of the RTCP indicator.

So I'm in agreement with you that using RTP to indicate EOS is probably
simpler than the RTCP alternative.

Note that this is typically how things are done anyway, ie.

void f(const List& list)
{
   ListNode* node = list.m_head;

   while (node != 0)
   {
     // do something with node->m_item
     
     node = node.m_next;
   }
}

Or at a higher level of abstraction:

void g(const std::list<int>& list)
{
   typedef std::list<int>::const_iterator iter_t;

   iter_t i = list.begin();
   const iter_t j = list.end();

   while (i != j) 
   {
      // do something with *i

      ++i;
   }
}

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic